Bug 1253642 - mysql-utilities installs incorrect mysql-connector-python
mysql-utilities installs incorrect mysql-connector-python
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mysql-connector-python (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: David Hannequin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 07:17 EDT by talk
Modified: 2016-07-19 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:12:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that updates the package to 2.1.3 (3.24 KB, patch)
2015-10-07 06:59 EDT, Honza Horak
no flags Details | Diff
Patch that updates the package to 1.2.3 (3.20 KB, patch)
2015-10-07 07:14 EDT, Honza Horak
no flags Details | Diff

  None (edit)
Description talk 2015-08-14 07:17:59 EDT
Description of problem:

Running mysqldbcompare gives the following error

"ERROR: The MYSQL Connector/Python module was found but it is either not properly installed or it is an old version. MySQL Utilities requires Connector/Python version > '(1, 2, 1)'. Download and install Connector/Python from http://dev.mysql.com."


Version-Release number of selected component (if applicable):

mysql-connector-python-1.1.6-3.fc21.noarch
mysql-utilities-1.5.2-1.fc22.noarch


How reproducible:

always

Steps to Reproduce:

1. dnf install mysql-utilities
2. mysqldbcompare --server1=xx:xx@127.0.0.1 --server2=xx:xx@10.10.10.10 db1:db2--changes-for=server2 -a --difftype=sql >> /var/log/mysql_diff.log
3. cat /var/log/mysql_diff.log

Actual results:

"ERROR: The MYSQL Connector/Python module was found but it is either not properly installed or it is an old version. MySQL Utilities requires Connector/Python version > '(1, 2, 1)'. Download and install Connector/Python from http://dev.mysql.com."

Expected results:

Remote MySQL database diff

Additional info:
Comment 1 Honza Horak 2015-10-07 06:59 EDT
Created attachment 1080597 [details]
Patch that updates the package to 2.1.3

Slightly reworked spec file patch that rebases to 2.1.3 as well.
Comment 2 Honza Horak 2015-10-07 07:14 EDT
Created attachment 1080615 [details]
Patch that updates the package to 1.2.3

Since 2.x version is incompatible [1] with 1.x versions, we shouldn't rebase in stable Fedoras. Thus, rebasing just to 1.2.3 may be done.

[1] http://dev.mysql.com/doc/relnotes/connector-python/en/news-2-0-0.html
Comment 3 Carl van Tonder 2016-03-30 15:19:37 EDT
Thanks, folks!

COPR repo containing backported mysql-python-connector 1.2.3:

    https://copr.fedorainfracloud.org/coprs/seeitcoming/mysql-connector-python/
Comment 4 Fedora End Of Life 2016-07-19 16:12:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.